%define realname kget
%define major_kgetcore 4
%define libkgetcore %mklibname kgetcore %{major_kgetcore}

Name:           kdenetwork-kget
Summary:        Versatile and user-friendly download manager
Group:          Networking/File transfer
Version: 	15.04.3
Release:        %mkrel 1
URL:            http://www.kde.org/applications/internet/kget/
License:        GPLv2 LGPLv2 GFDL
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{realname}-%{version}.tar.xz
BuildRequires:  kde-pimlibs-devel
BuildRequires:  nepomuk-widgets-devel
BuildRequires:  kde-workspace-devel
BuildRequires:  kde-baseapps-devel
BuildRequires:  pkgconfig(shared-desktop-ontologies)
BuildRequires:  pkgconfig(libmms)
BuildRequires:  boost-devel
BuildRequires:  libktorrent-devel
Provides:	kget

%description
KGet is a versatile and user-friendly download manager.
Features:
  - Downloading files from FTP and HTTP(S) sources.
  - Pausing and resuming of downloading files, as well as the ability to restart
    a download.
  - Tells lots of information about current and pending downloads.
  - Embedding into system tray.
  - Integration with the Konqueror web browser.
  - Metalink support which contains multiple URLs for downloads, along with
    checksums and other information.

%files
%_kde_bindir/kget
%_kde_libdir/kde4/krunner_kget.so
%_kde_libdir/kde4/kget_*
%_kde_libdir/kde4/plasma_engine_kget.so
%_kde_libdir/kde4/kcm_kget_checksumsearchfactory.so
%_kde_libdir/kde4/kcm_kget_metalinkfactory.so
%_kde_libdir/kde4/kcm_kget_bittorrentfactory.so
%_kde_libdir/kde4/kcm_kget_mmsfactory.so
%_kde_libdir/kde4/kcm_kget_mirrorsearchfactory.so
%_kde_libdir/kde4/kcm_kget_multisegkiofactory.so
%_kde_libdir/kde4/plasma_kget_barapplet.so
%_kde_libdir/kde4/plasma_kget_piechart.so
%_kde_appsdir/kget
%_kde_appsdir/dolphinpart/kpartplugins/kget_plug_in.rc
%_kde_appsdir/dolphinpart/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kconf_update/kget.upd
%_kde_appsdir/kconf_update/kget_limitdownloads.pl
%_kde_appsdir/kconf_update/kget_sensitive.pl
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.rc
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kwebkitpart/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kwebkitpart/kpartplugins/kget_plug_in.rc
%_kde_applicationsdir/kget.desktop
%_kde_services/kgetbarapplet-default.desktop
%_kde_services/kgetpiechartapplet-default.desktop
%_kde_services/plasma-runner-kget.desktop
%_kde_services/plasma-engine-kget.desktop
%_kde_services/ServiceMenus/kget_download.desktop
%_kde_services/kget_*
%_kde_iconsdir/*/*/apps/kget.*
%_kde_datadir/ontology/kde/kget_history.ontology
%_kde_datadir/ontology/kde/kget_history.trig
%_kde_datadir/kde4/servicetypes/kget_*
%_kde_datadir/config.kcfg/kget*
%_datadir/dbus-1/services/org.kde.kget.service

%_kde_libdir/libkgetcore.so.%{major_kgetcore}*

#------------------------------------------------------------------------------

%package -n kdenetwork-kget-handbook
Summary: Kget Handbook
BuildArch: noarch
Group: Documentation
Requires:  kdenetwork-kget

%description -n kdenetwork-kget-handbook
This package provides KGET handbook.

%files -n kdenetwork-kget-handbook
%doc %{_kde_docdir}/HTML/en/kget


#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/Libraries

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kde_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kget.desktop


%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
